# Get Supported Assets

### **Description**

Retrieve the full list of supported assets indexed by Aleno.\
Each asset includes its canonical symbol and all known on-chain token addresses across supported chains.

{% hint style="info" %}
This endpoint is under development, additional metadata will be added to the assets.
{% endhint %}

This endpoint is useful for resolving symbols to chain-specific token addresses, validating availability, and constructing queries for endpoints like `/ticker`, `/search`, and `/state`.

If an asset is currently not supported, feel free to add it using [Add New Asset](/apis/rest-v1/assets/add-new-asset.md)

### **URL**

```bash
GET https://pricing.aleno.ai/v1/assets
```

### **Headers**

```http
x-api-key: your-api-key
```

### **Query Parameters**

| Name   | Type   | Required | Description                                                              |
| ------ | ------ | -------- | ------------------------------------------------------------------------ |
| symbol | string | No       | Filter by asset symbol (e.g., `WETH`, `AAVE`, `USDC`). Case-insensitive. |

If `symbol` is omitted, all assets are returned.

### **Response**

Returns one or more [asset ](https://docs.aleno.ai/apis/rest-v1/assets/pages/lip9iO15MXczc0On422A#id-1.-asset)entries, each including the canonical symbol and a list of token contract addresses across supported chains.

### **Example Request (All Assets)**

```bash
GET https://pricing.aleno.ai/v1/assets
```

### **Example Request (Single Asset)**

```bash
GET https://pricing.aleno.ai/v1/assets?symbol=WETH
```

### **Example Response**

```json
jsonCopierModifier{
  "data": [
    {
      "symbol": "WETH",
      "tokenMapping": [
        {
          "address": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2",
          "chainId": "eth"
        },
        {
          "address": "0x4200000000000000000000000000000000000006",
          "chainId": "opt"
        },
        {
          "address": "0x4200000000000000000000000000000000000006",
          "chainId": "base"
        },
        {
          "address": "0x82af49447d8a07e3bd95bd0d56f35241523fbab1",
          "chainId": "arb"
        }
      ]
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aleno.ai/apis/rest-v1/assets/get-supported-assets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
